import { AppService } from '../app/app.service';
import { LocalstorageConfigs, LocalstorageIterateHandler, LocalstorageIterateKeysHandler } from './types';
export declare class LocalstorageService {
    app: AppService;
    localforage: LocalForage;
    constructor(app: AppService, storageConfigs?: LocalstorageConfigs);
    instance(storageConfigs: LocalstorageConfigs): LocalstorageService;
    set<Data>(key: string, data: Data): Promise<Data>;
    get<Data>(key: string): Promise<Data>;
    iterate<Data>(handler: LocalstorageIterateHandler<Data>): Promise<any>;
    iterateKeys(handler: LocalstorageIterateKeysHandler): Promise<void>;
    remove(key: string): Promise<void>;
    removeBulk(keys: string[]): Promise<void>;
    removeByPrefix(prefix: string): Promise<void>;
    removeBySuffix(suffix: string): Promise<void>;
    clear(): Promise<void>;
    keys(): Promise<string[]>;
}
